/*
Copyright (c) 2004 Arthur Huillet.

Relicensed under GPL for the TINS'06 contest.
Some code is (c) Id Software.
*/



#define LOG_ERROR 0
#define LOG_NORMAL 1
#define LOG_VERBOSE 2
#define LOG_DEBUG 3

#define LOGTO_STDERR 0
#define LOGTO_STDOUT 1
#define LOGTO_DEVNULL 2
#define LOGTO_FILE 3


typedef struct{
unsigned short int debuglvl; 
unsigned short int rule_num;
int log_action;
int filedest;
} message_hdl;

message_hdl *msg_hdl;

int init_logfac();
int exit_logfac();
int add_rule(message_hdl);
int get_hdl_nb();
int realloue_msg_hdl();
/*open_newlog(lognb (0 or 1), path); returns lognb*/
int open_newlog(const char *);
/*closes log*/
int close_log(int);

int log_msg(unsigned short int,  const char *, ...);

#ifndef _WIN32
char * strsignal(int sig);
#endif

/** The signal handler. Cleans everything up before quitting the game.
*/
void signal_handler(int num);


